Results 1 to 2 of 2

Thread: Overlap

  1. #1
    Member
    Join Date
    2009-09
    Posts
    3
    Login to Give a bone
    0

    Default Overlap

    Hi Guys

    Good DAY

    i have 2 layers (builings and Roads) but some entities are crossing each other, so i want to place a circle where buildings and Roads are crossings.

    Note : Buildings are not closed polygons.

    Pls see attached snapshot for better understanding of my requirement.

    Any one pls help on this.

    Thanks in advance.

    Thanks
    Srinivas
    Attached Images Attached Images

  2. #2
    I could stop if I wanted to
    Join Date
    2015-12
    Posts
    385
    Login to Give a bone
    0

    Default Re: Overlap

    Your getting a little help from PBJese here. See link where he helped me out here---->http://forums.augi.com/showthread.ph...pecific-layers

    This is a start but it only pics up the points where the 2 layers cross.

    Code:
    (defun c:ROADIT (/ ss1 _39 p-cw p-hw ss1 e v)
    
      (setq rl "CONFLICT")  
      (if (not (tblsearch "LAYER" rl )); check if layer duct is present
        (command "-layer" "make" rl "color" 2 rl "") ; if not create the layer
        ( )) ; the layer exist, do nothing
    
      (setq	_3p (lambda (lst)
    	      (if lst
    		(cons (list (car lst) (cadr lst) (caddr lst))
    		      (_3p (cdddr lst))))))
      
      
      (if (setq P-CW nil
    	    P-HW nil
    	    ss1	 (ssget "a" '((0 . "LINE,LWPOLYLINE,POLYLINE") (8 . "BUILDING,ROAD"))
    			))
        (progn
          (repeat (setq i (sslength ss1))
    	(setq e (vlax-ename->vla-object (ssname ss1 (setq i (1- i)))))
    	(if (eq (vla-get-layer e) "BUILDING")
    	  (setq P-CW (cons e P-CW))
    	  (setq P-HW (cons e P-HW))))
          (foreach itm P-CW
    	(foreach mti P-HW
    	  (if
    	    (setq v (vlax-invoke itm 'IntersectWith mti acExtendNone))
    	    (foreach int (_3p v)
    	      (command "circle" "non" int "d" 6)
    	      (command "change"  (entlast) "" "P" "LA" "CONFLICT" "")
    	      )
    	    )
    	  )
    	)
          )
        )
      (princ))

Similar Threads

  1. Overlap panel
    By tngv75955631 in forum Robot Structural Analysis
    Replies: 2
    Last Post: 2011-04-05, 11:13 PM
  2. wall overlap
    By Bryan Thatcher in forum Revit Architecture - General
    Replies: 3
    Last Post: 2010-10-21, 12:32 PM
  3. Text Overlap MEP equipment
    By spiveylipsey in forum Revit MEP - General
    Replies: 9
    Last Post: 2009-10-20, 03:14 PM
  4. Volume overlap
    By Doug in forum Revit Architecture - General
    Replies: 0
    Last Post: 2008-01-22, 03:33 PM
  5. Line Overlap
    By mjdanowski in forum Revit MEP - General
    Replies: 5
    Last Post: 2007-03-29, 05:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •